Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class FrameType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.FrameType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class FrameType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Frame Type', and utility methods for working with them.

See Also:
  `CDAR2Package.getFrameType()`

Field Summary
`static int` | `ABOVE` The 'Above' literal value.
`static FrameType` | `ABOVE_LITERAL` The 'Above' literal object.
`static int` | `BELOW` The 'Below' literal value.
`static FrameType` | `BELOW_LITERAL` The 'Below' literal object.
`static int` | `BORDER` The 'Border' literal value.
`static FrameType` | `BORDER_LITERAL` The 'Border' literal object.
`static int` | `BOX` The 'Box' literal value.
`static FrameType` | `BOX_LITERAL` The 'Box' literal object.
`static int` | `HSIDES` The 'Hsides' literal value.
`static FrameType` | `HSIDES_LITERAL` The 'Hsides' literal object.
`static int` | `LHS` The 'Lhs' literal value.
`static FrameType` | `LHS_LITERAL` The 'Lhs' literal object.
`static int` | `RHS` The 'Rhs' literal value.
`static FrameType` | `RHS_LITERAL` The 'Rhs' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Frame Type' enumerators.
`static int` | `VOID` The 'Void' literal value.
`static FrameType` | `VOID_LITERAL` The 'Void' literal object.
`static int` | `VSIDES` The 'Vsides' literal value.
`static FrameType` | `VSIDES_LITERAL` The 'Vsides' literal object.

Method Summary
`static FrameType` | `get(int value)` Returns the 'Frame Type' literal with the specified integer value.
`static FrameType` | `get(java.lang.String literal)` Returns the 'Frame Type' literal with the specified literal value.
`static FrameType` | `getByName(java.lang.String name)` Returns the 'Frame Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VOID

    public static final int VOID

  The 'Void' literal value.

  If the meaning of 'Void' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VOID_LITERAL`, Constant Field Values

### ABOVE

    public static final int ABOVE

  The 'Above' literal value.

  If the meaning of 'Above' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ABOVE_LITERAL`, Constant Field Values

### BELOW

    public static final int BELOW

  The 'Below' literal value.

  If the meaning of 'Below' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BELOW_LITERAL`, Constant Field Values

### HSIDES

    public static final int HSIDES

  The 'Hsides' literal value.

  If the meaning of 'Hsides' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HSIDES_LITERAL`, Constant Field Values

### LHS

    public static final int LHS

  The 'Lhs' literal value.

  If the meaning of 'Lhs' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LHS_LITERAL`, Constant Field Values

### RHS

    public static final int RHS

  The 'Rhs' literal value.

  If the meaning of 'Rhs' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RHS_LITERAL`, Constant Field Values

### VSIDES

    public static final int VSIDES

  The 'Vsides' literal value.

  If the meaning of 'Vsides' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VSIDES_LITERAL`, Constant Field Values

### BOX

    public static final int BOX

  The 'Box' literal value.

  If the meaning of 'Box' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOX_LITERAL`, Constant Field Values

### BORDER

    public static final int BORDER

  The 'Border' literal value.

  If the meaning of 'Border' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BORDER_LITERAL`, Constant Field Values

### VOID_LITERAL

    public static final FrameType VOID_LITERAL

  The 'Void' literal object.

  See Also:
    `VOID`

### ABOVE_LITERAL

    public static final FrameType ABOVE_LITERAL

  The 'Above' literal object.

  See Also:
    `ABOVE`

### BELOW_LITERAL

    public static final FrameType BELOW_LITERAL

  The 'Below' literal object.

  See Also:
    `BELOW`

### HSIDES_LITERAL

    public static final FrameType HSIDES_LITERAL

  The 'Hsides' literal object.

  See Also:
    `HSIDES`

### LHS_LITERAL

    public static final FrameType LHS_LITERAL

  The 'Lhs' literal object.

  See Also:
    `LHS`

### RHS_LITERAL

    public static final FrameType RHS_LITERAL

  The 'Rhs' literal object.

  See Also:
    `RHS`

### VSIDES_LITERAL

    public static final FrameType VSIDES_LITERAL

  The 'Vsides' literal object.

  See Also:
    `VSIDES`

### BOX_LITERAL

    public static final FrameType BOX_LITERAL

  The 'Box' literal object.

  See Also:
    `BOX`

### BORDER_LITERAL

    public static final FrameType BORDER_LITERAL

  The 'Border' literal object.

  See Also:
    `BORDER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Frame Type' enumerators.

Method Detail

### get

    public static FrameType get(java.lang.String literal)

  Returns the 'Frame Type' literal with the specified literal value.

### getByName

    public static FrameType getByName(java.lang.String name)

  Returns the 'Frame Type' literal with the specified name.

### get

    public static FrameType get(int value)

  Returns the 'Frame Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD